Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Attributes | List of all members
GraphEditorWindow Class Reference
Inheritance diagram for GraphEditorWindow:

## Public Member Functions
| __init__ (self, parent, windowSize, property, xRange, yRange, curFrame, object)
| DrawCurve (self, dc)
| DrawFrame (self, dc)
| drawHandler (self, list, dc)
| drawKeys (self, list, dc)
| DrawSelectRec (self, dc)
| drawSingleCurve (self, list, dc)
| drawX (self, dc)
| DrawXCoord (self, dc)
| drawXNumber (self, dc, st, pos)
| drawY (self, dc)
| DrawYCoord (self, dc)
| drawYNumber (self, dc, st, pos)
| drawZ (self, dc)
| generateHandler (self, item)
| generateInfo (self)
| InitBuffer (self)
| inside (self, point0, point1, point)
| onAnimation (self)
| OnLeftDown (self, evt)
| OnLeftUp (self, evt)
| OnMiddleDown (self, evt)
| OnMiddleUp (self, evt)
| OnMotion (self, evt)
| OnPaint (self, evt)
| OnSize (self, evt)
| recalculateSlope (self)
| recalculateSlopeBase (self, list)
| refresh (self)
| selectHandler (self)
| setExistKey (self, list)
| SetGraphEditorData (self, property, curFrame=1)
| setNewKey (self, list)
| setSelection (self)
| setSelectionBase (self, list)

## Public Attributes
| buffer = wx.EmptyBitmap(self.w, self.h)
| curFrame = curFrame
| h = self.GetClientSize()
| keyFramesInfo = self._mainDialog.editor.animMgr.keyFramesInfo
tuple | midPos = point
tuple | newMidPos = (evt.GetX(), evt.GetY())
tuple | newPos = (evt.GetX(), evt.GetY())
| object = object
| OnLeftDown
| OnLeftUp
| OnMiddleDown
| OnMiddleUp
| OnMotion
| OnPaint
| OnSize
| pos = point
| property = property
| th = dc.GetTextExtent(st)
| tw = str(self.zero)
| unitHeight = self.h/float(yRange)
| unitWidth = self.w/float(xRange)
| w = float(0):
list | X = []
list | Y = []
list | Z = []
int | zero = 0
tuple | zeroPos = (float(0), self.h/float(2))
| zoom = float(2)

## Protected Attributes
| _mainDialog = wx.GetTopLevelParent(self)
bool | _mouseIn = False
bool | _OneTangent = True
bool | _selectHandler = False
bool | _selectRec = False

## Detailed Description

    This is the main graph editor window.

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | parent,
|  |  | windowSize,
|  |  | property,
|  |  | xRange,
|  |  | yRange,
|  |  | curFrame,
|  |  | object )

## Member Function Documentation

## ◆ DrawCurve()

DrawCurve | ( |  | self,
|  |  | dc )

## ◆ DrawFrame()

DrawFrame | ( |  | self,
|  |  | dc )

## ◆ drawHandler()

drawHandler | ( |  | self,
|  |  | list,
|  |  | dc )

## ◆ drawKeys()

drawKeys | ( |  | self,
|  |  | list,
|  |  | dc )

## ◆ DrawSelectRec()

DrawSelectRec | ( |  | self,
|  |  | dc )

## ◆ drawSingleCurve()

drawSingleCurve | ( |  | self,
|  |  | list,
|  |  | dc )

## ◆ drawX()

drawX | ( |  | self,
|  |  | dc )

## ◆ DrawXCoord()

DrawXCoord | ( |  | self,
|  |  | dc )

## ◆ drawXNumber()

drawXNumber | ( |  | self,
|  |  | dc,
|  |  | st,
|  |  | pos )

## ◆ drawY()

drawY | ( |  | self,
|  |  | dc )

## ◆ DrawYCoord()

DrawYCoord | ( |  | self,
|  |  | dc )

## ◆ drawYNumber()

drawYNumber | ( |  | self,
|  |  | dc,
|  |  | st,
|  |  | pos )

## ◆ drawZ()

drawZ | ( |  | self,
|  |  | dc )

## ◆ generateHandler()

generateHandler | ( |  | self,
|  |  | item )

## ◆ generateInfo()

generateInfo | ( |  | self | ) |

## ◆ InitBuffer()

InitBuffer | ( |  | self | ) |

## ◆ inside()

inside | ( |  | self,
|  |  | point0,
|  |  | point1,
|  |  | point )

## ◆ onAnimation()

onAnimation | ( |  | self | ) |

## ◆ OnLeftDown()

OnLeftDown | ( |  | self,
|  |  | evt )

## ◆ OnLeftUp()

OnLeftUp | ( |  | self,
|  |  | evt )

## ◆ OnMiddleDown()

OnMiddleDown | ( |  | self,
|  |  | evt )

## ◆ OnMiddleUp()

OnMiddleUp | ( |  | self,
|  |  | evt )

## ◆ OnMotion()

OnMotion | ( |  | self,
|  |  | evt )

## ◆ OnPaint()

OnPaint | ( |  | self,
|  |  | evt )

## ◆ OnSize()

OnSize | ( |  | self,
|  |  | evt )

## ◆ recalculateSlope()

recalculateSlope | ( |  | self | ) |

## ◆ recalculateSlopeBase()

recalculateSlopeBase | ( |  | self,
|  |  | list )

## ◆ refresh()

refresh | ( |  | self | ) |

## ◆ selectHandler()

selectHandler | ( |  | self | ) |

## ◆ setExistKey()

setExistKey | ( |  | self,
|  |  | list )

## ◆ SetGraphEditorData()

SetGraphEditorData | ( |  | self,
|  |  | property,
|  |  | curFrame = 1 )

## ◆ setNewKey()

setNewKey | ( |  | self,
|  |  | list )

## ◆ setSelection()

setSelection | ( |  | self | ) |

## ◆ setSelectionBase()

setSelectionBase | ( |  | self,
|  |  | list )

## Member Data Documentation

## ◆ _mainDialog

_mainDialog = wx.GetTopLevelParent(self)
| protected

## ◆ _mouseIn

bool _mouseIn = False
| protected

## ◆ _OneTangent

bool _OneTangent = True
| protected

## ◆ _selectHandler

bool _selectHandler = False
| protected

## ◆ _selectRec

bool _selectRec = False
| protected

## ◆ buffer

buffer = wx.EmptyBitmap(self.w, self.h)

## ◆ curFrame

curFrame = curFrame

## ◆ h

h = self.GetClientSize()

## ◆ keyFramesInfo

keyFramesInfo = self._mainDialog.editor.animMgr.keyFramesInfo

## ◆ midPos

tuple midPos = point

## ◆ newMidPos

tuple newMidPos = (evt.GetX(), evt.GetY())

## ◆ newPos

tuple newPos = (evt.GetX(), evt.GetY())

## ◆ object

object = object

## ◆ OnLeftDown

OnLeftDown

## ◆ OnLeftUp

OnLeftUp

## ◆ OnMiddleDown

OnMiddleDown

## ◆ OnMiddleUp

OnMiddleUp

## ◆ OnMotion

OnMotion

## ◆ OnPaint

OnPaint

## ◆ OnSize

OnSize

## ◆ pos

pos = point

## ◆ property

property = property

## ◆ th

th = dc.GetTextExtent(st)

## ◆ tw

tw = str(self.zero)

## ◆ unitHeight

unitHeight = self.h/float(yRange)

## ◆ unitWidth

unitWidth = self.w/float(xRange)

## ◆ w

w = float(0):

## ◆ X

X = []

## ◆ Y

Y = []

## ◆ Z

Z = []

## ◆ zero

int zero = 0

## ◆ zeroPos

tuple zeroPos = (float(0), self.h/float(2))

## ◆ zoom

zoom = float(2)